Bug 1114863 - Win7/IE9 - webadmin not usable
Summary: Win7/IE9 - webadmin not usable
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: oVirt
Classification: Retired
Component: ovirt-engine-webadmin
Version: 3.5
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Alexander Wels
QA Contact: Petr Kubica
URL:
Whiteboard: ux
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-01 07:40 UTC by Tomas Jelinek
Modified: 2016-02-10 19:45 UTC (History)
8 users (show)

Fixed In Version: ovirt-3.5.0_rc1.1
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1130580 (view as bug list)
Environment:
Last Closed: 2014-10-17 12:37:03 UTC
oVirt Team: UX


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1110788 None None None Never
oVirt gerrit 30768 master MERGED userportal,webadmin: IE9 header value Never
oVirt gerrit 31359 ovirt-engine-3.5 MERGED userportal,webadmin: IE9 header value Never

Internal Links: 1110788

Description Tomas Jelinek 2014-07-01 07:40:48 UTC
1: have a win7/IE9 machine
2: go to webadmin login screen
3: fill name and password
4: IE eats 100% of the CPU for about 10 minutes and than sometimes loads the main screen, sometimes does not
5: every click than behaves the same (100% of CPU eaten for couple of minutes)

expected results:
webadmin should work on IE9

additional info:
- user portal works fine on IE9
- my VM on which I have tested it had one 2.69 GHz CPU and 3GB of memory

Comment 1 Einav Cohen 2014-07-08 14:38:23 UTC
after discussing with Vojtech: might be related to the slow debug mode as well (potentially, a fix for the slow debug mode (will improve the performance for IE9 as well)

Comment 2 Alexander Wels 2014-07-28 17:21:23 UTC
The problem turns out to be that IE9 reports missing headers as blank instead of null. The code only checked for null and not blank, this caused an endless login loop causing requests to be repeated over and over again, eating up memory and cpu time.

Comment 3 Vojtech Szocs 2014-07-30 17:10:23 UTC
Relevant GWT issue: https://code.google.com/p/google-web-toolkit/issues/detail?id=7665

This is essentially IE9 browser quirk that we need to work around.

Comment 4 Petr Kubica 2014-09-11 12:23:34 UTC
Verified in 
ovirt: 3.5.0-0.0.master.20140821064931.gitb794d66.el6
IE9: 9.0.8112.16421
W7 SP1

Comment 5 Sandro Bonazzola 2014-10-17 12:37:03 UTC
oVirt 3.5 has been released and should include the fix for this issue.


Note You need to log in before you can comment on or make changes to this bug.